Subject: Re: [PATCH 1/5] Internationalization of git-gui

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 24 Jul 2007 10:57:16 -0400

Christian Stimming <[email-masked]> wrote:
> Am Sonntag, 22. Juli 2007 09:38 schrieb Shawn O. Pearce:
> > > +## Internationalization (i18n) through msgcat and gettext. See
> > > +## http://www.gnu.org/software/gettext/manual/html_node/Tcl.html
> > > +package require msgcat
> > > +::msgcat::mcload [file join $oguilib msgs]
> > > +namespace import ::msgcat::mc
> >
> > Thanks.  We'll probably also want to modify the lib/class.tcl to
> > import ::msgcat::mc ...
> 
> As I was adding the markup in all the other files, I didn't have to add 
> another import statement anywhere else. Seems like the global mc procedure 
> works just fine.
> 
> In other words, if you think the mc procedure should be imported in another 
> place as well, please do so because I don't know your future plans with class 
> structure (and I also don't need to know for adding the i18n support right 
> now).

Hmm.  Actually that makes sense.  We probably don't need to make
any changes, other than to make sure we don't override the "mc"
definition in any of the other UI namespaces, since it is currently
being inherited from :: (the global namespace).

Thanks.

-- 
Shawn.